Bug 737620 - Backlight control on HP Pavilion dv7 notebook doesn't work
Backlight control on HP Pavilion dv7 notebook doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
backlight first=2.6.38.6 tested=3.1.1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 14:06 EDT by mlambda
Modified: 2013-03-14 13:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 13:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 847187 None None None Never

  None (edit)
Description mlambda 2011-09-12 14:06:49 EDT
Backlight control on HP Pavilion dv7 6104eg notebook doesn't work using function keys or Gnome power management applet. I found a patch that should solve the problem: http://www.edgrochowski.com/articles/backlight.htm (haven't tried it myself)

uname -a:
-----------------------------------------
Linux xxxxxxxxxxxx 2.6.38.6-26.rc1.fc15.x86_64 #1 SMP Mon May 9 20:45:15 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
-----------------------------------------

lsmod:
-----------------------------------------
Module                  Size  Used by
vfat                    8720  1 
fat                    44848  1 vfat
fuse                   62289  3 
8021q                  18723  0 
cpufreq_ondemand        9466  8 
garp                    6087  1 8021q
stp                     1951  1 garp
llc                     4716  2 garp,stp
acpi_cpufreq            7001  1 
freq_table              3963  2 cpufreq_ondemand,acpi_cpufreq
mperf                   1505  1 acpi_cpufreq
ip6t_REJECT             4048  2 
nf_conntrack_ipv6       7978  1 
nf_defrag_ipv6          9531  1 nf_conntrack_ipv6
ip6table_filter         1695  1 
ip6_tables             16850  1 ip6table_filter
snd_hda_codec_hdmi     22998  1 
snd_hda_codec_idt      56833  1 
snd_hda_intel          23694  2 
snd_hda_codec          80822  3 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel
iwlagn                254115  0 
snd_hwdep               6368  1 snd_hda_codec
snd_seq                52438  0 
snd_seq_device          6001  1 snd_seq
iwlcore               144189  1 iwlagn
snd_pcm                78484  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
mac80211              234498  2 iwlagn,iwlcore
snd_timer              19593  2 snd_seq,snd_pcm
btusb                  14708  0 
uvcvideo               54609  0 
snd                    62686  13 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
cfg80211              135850  3 iwlagn,iwlcore,mac80211
bluetooth              91207  1 btusb
soundcore               6299  1 snd
videodev               63426  1 uvcvideo
hp_wmi                  6165  0 
snd_page_alloc          7431  2 snd_hda_intel,snd_pcm
r8169                  35525  0 
hp_accel               14504  0 
microcode              18117  0 
v4l2_compat_ioctl32     6697  1 videodev
sparse_keymap           3302  1 hp_wmi
xhci_hcd              103447  0 
i2c_i801                9213  0 
mii                     4318  1 r8169
iTCO_wdt               11480  0 
lis3lv02d              11480  1 hp_accel
rfkill                 16552  4 cfg80211,bluetooth,hp_wmi
wmi                     9105  1 hp_wmi
iTCO_vendor_support     2634  1 iTCO_wdt
joydev                  9635  0 
input_polldev           3853  1 lis3lv02d
ipv6                  282108  27 ip6t_REJECT,nf_conntrack_ipv6,nf_defrag_ipv6
squashfs               39457  2 
usb_storage            45615  2 
i915                  346852  3 
radeon                688160  0 
ttm                    55120  1 radeon
drm_kms_helper         27515  2 i915,radeon
drm                   187984  6 i915,radeon,ttm,drm_kms_helper
i2c_algo_bit            5014  2 i915,radeon
i2c_core               25468  7 videodev,i2c_i801,i915,radeon,drm_kms_helper,drm,i2c_algo_bit
video                  12432  1 i915
-----------------------------------------

lspci:
-----------------------------------------
00:00.0 Host bridge: Intel Corporation Sandy Bridge DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Sandy Bridge PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Device 0116 (rev 09)
00:16.0 Communication controller: Intel Corporation Cougar Point HECI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation Cougar Point USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation Cougar Point High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 2 (rev b5)
00:1c.2 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 4 (rev b5)
00:1d.0 USB Controller: Intel Corporation Cougar Point USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation Cougar Point LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation Cougar Point 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation Cougar Point SMBus Controller (rev 05)
01:00.0 VGA compatible controller: ATI Technologies Inc Device 6740
07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
0d:00.0 Network controller: Intel Corporation Device 008b (rev 34)
13:00.0 Class ff00: Realtek Semiconductor Co., Ltd. Device 5209 (rev 01)
19:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
-----------------------------------------
Comment 1 Josh Boyer 2011-09-12 14:22:47 EDT
F15 is at 2.6.40 now.  Please try the latest kernel in updates stable.
Comment 2 Josh Boyer 2011-09-12 16:11:29 EDT
(In reply to comment #1)
> F15 is at 2.6.40 now.  Please try the latest kernel in updates stable.

That might be worth trying, but the 3.1-rcX kernels in Fedora 16 have some native backlight commits that might help in this area even more.
Comment 3 mlambda 2011-09-12 16:18:41 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > F15 is at 2.6.40 now.  Please try the latest kernel in updates stable.
> 
> That might be worth trying, but the 3.1-rcX kernels in Fedora 16 have some
> native backlight commits that might help in this area even more.

I tried the latest F16 Alpha Live CD (Linux localhost.localdomain 3.0.0-1.fc16.x86_64 #1 SMP Fri Jul 22 16:09:29 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux) but the backlight brightness can't be changed either. Is there any Live CD available with a 3.1-rcX kernel you mentioned? For further information about the hardware please check the bug report on Ubuntu Launchpad.
Comment 4 Josh Boyer 2011-09-12 16:50:26 EDT
The f16 Beta live images should ship with 3.1-rc5 (ish).  There are also nightly composes here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3342109
Comment 5 mlambda 2011-09-12 18:07:42 EDT
(In reply to comment #4)
> The f16 Beta live images should ship with 3.1-rc5 (ish).  There are also
> nightly composes here:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3342109

Thanks for the link! I tried the nightly build (Linux localhost.localdomain 3.1.0-0.rc4.git0.0.fc16.x86_64 #1 SMP Tue Aug 30 00:00:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux) but it still doesn't work. If you need any additional information please tell me.
Comment 6 Matthew Garrett 2011-09-13 09:47:07 EDT
Could you please attach the output of ls -l /sys/class/backlight ?
Comment 7 mlambda 2011-09-13 13:21:15 EDT
(In reply to comment #6)
> Could you please attach the output of ls -l /sys/class/backlight ?

[root@localhost liveuser]# ls -l /sys/class/backlight
total 0
lrwxrwxrwx. 1 root root 0 Sep 13 15:14 acpi_video0 -> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/acpi_video0
lrwxrwxrwx. 1 root root 0 Sep 13 15:14 acpi_video1 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video1
lrwxrwxrwx. 1 root root 0 Sep 13 15:14 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card1/card1-LVDS-1/intel_backlight

uname -a: Linux localhost.localdomain 3.1.0-0.rc4.git0.0.fc16.x86_64 #1 SMP Tue Aug 30 00:00:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
Comment 8 mlambda 2011-09-13 13:27:06 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > Could you please attach the output of ls -l /sys/class/backlight ?
> 
> [root@localhost liveuser]# ls -l /sys/class/backlight
> total 0
> lrwxrwxrwx. 1 root root 0 Sep 13 15:14 acpi_video0 ->
> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/acpi_video0
> lrwxrwxrwx. 1 root root 0 Sep 13 15:14 acpi_video1 ->
> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video1
> lrwxrwxrwx. 1 root root 0 Sep 13 15:14 intel_backlight ->
> ../../devices/pci0000:00/0000:00:02.0/drm/card1/card1-LVDS-1/intel_backlight
> 
> uname -a: Linux localhost.localdomain 3.1.0-0.rc4.git0.0.fc16.x86_64 #1 SMP Tue
> Aug 30 00:00:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

'cd /sys/class/backlight/intel_backlight/; echo xx >brightness' works fine! It's just the function keys and the Gnome applet that don't work.
Comment 9 Matthew Garrett 2011-09-13 13:32:04 EDT
I'm going to bet that acpi_video1 works as well. Ok, I know how to fix this, it just involves some typing.
Comment 10 mlambda 2011-09-13 13:43:11 EDT
(In reply to comment #9)
> I'm going to bet that acpi_video1 works as well. Ok, I know how to fix this, it
> just involves some typing.

acpi_video0 and acpi_video1 don't work, just intel_backlight.
Comment 11 Gregor Hlawacek 2011-11-14 16:27:13 EST
(In reply to comment #9)
> I'm going to bet that acpi_video1 works as well. Ok, I know how to fix this, it
> just involves some typing.

I have the same problem here. Is there any final solution to this. It doesn't work with the acpi0 or 1 branches

Any update here.

Gregor
Comment 12 James T Perkins 2011-11-22 17:29:40 EST
Seeing this too on Fedora 16, HP Pavilion DM4-1060US - the following workaround works:

# uname -a
Linux hp-dm4 3.1.1-2.fc16.x86_64 #1 SMP Mon Nov 14 15:46:10 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
# echo 4882 > /sys/class/backlight/intel_backlight/brightness
# lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
02:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
# ls -l /sys/class/backlight/
total 0
lrwxrwxrwx 1 root root 0 Nov 22 14:18 acpi_video0 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
lrwxrwxrwx 1 root root 0 Nov 22 14:18 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight
Comment 13 Josh Boyer 2012-06-06 15:21:32 EDT
Is this still happening with 2.6.43/3.3?
Comment 14 mlambda 2012-06-07 09:40:00 EDT
I'm using Linux Mint 12 with kernel 3.4 now and it still doesn't work out of the box. I had to add 'acpi_backlight=vendor' to the kernel parameters as suggested here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/847187/comments/27
Comment 15 Josh Boyer 2012-06-07 09:41:22 EDT
I guess we'll move this to F17.

Matthew, did you ever get around to doing that typing you mentioned in comment #9?

Note You need to log in before you can comment on or make changes to this bug.